// Definicija apstraktne klase za funkcije (Fct).

#ifndef _fct_h_
#define _fct_h_

#include "greska.h"

namespace Funkcije {                              // KLASA ZA GREKU:
  using Usluge::Greska;

  class G_nema_integral: public Greska {
  public:                                         // Konstruktor.
    G_nema_integral(): Greska("Funkcija nema integral") {}
  }; // class G_nema_integral

  class Fct {                                     // KLASA ZA FUNKCIJU:
  public:
    virtual ~Fct() =default;                      // Virtuelan destruktor.
    virtual double operator()(double x) const =0; // Vrednost funkcije.
    virtual double I(double) const                // Neodreeni integral.
      { throw G_nema_integral(); }
    double I(double, double);                     // Odreeni integral.
  }; // class Fct
} // namespace Funkcije

#endif
